#!/bin/sh
#
#
source /etc/profile

SERVICE_HOME="/opt/civilizedcity/service"
LOG="$SERVICE_HOME/logs/nohup.log"
JAR=$(ls -lt ${SERVICE_HOME}/*.jar|head -n1|rev|cut -d" " -f1|rev)
CONFIG_FILE="/opt/civilizedcity/service/config"
LIB_FILES="/opt/civilizedcity/service/libs"
PROCESS_CHARS="civilizedCity-"

start() {
    PID=`ps -ef|grep $PROCESS_CHARS|grep -v grep|awk '{print $2}'`
    if [[ "$PID" != "" ]]; then
        echo ""
        echo "Service is running. pid=$PID"
        echo ""
        exit 0
    else
        echo ""
        echo "Start service ..."
        echo "FILE: $JAR"

        nohup java -Dloader.path=$LIB_FILES -Dspring.config.location=$CONFIG_FILE/application.yml -jar $JAR > $LOG 2>&1 &

        echo "Start finished"
        echo "Pls goto $LOG see process status"
        echo ""
        # tail -f $LOG
    fi
}

stop() {
    echo ""
    echo "Stoping service ..."

    PID=`ps -ef|grep $PROCESS_CHARS|grep -v grep|awk '{print $2}'`
    if [[ "$PID" != "" ]]; then
        kill -9 $PID
    fi

    # 这个延迟不能去掉
    sleep 2s
    echo "Service is stoped"
    echo ""
}

case $1 in
    "start")
        start ;;
    "stop")
        stop ;;
    "reload"|"restart")
        stop
        start ;;
    *)
        echo "Usage: `basename $0` {start|stop|restart}"
        exit 1
esac
