package com.example.civilizedcity.common;

import cn.dev33.satoken.stp.StpUtil;
import com.example.civilizedcity.entity.SysUser;
import com.example.civilizedcity.entity.TaPerson;
import com.example.civilizedcity.service.SysUserDutyService;
import com.example.civilizedcity.service.SysUserService;
import com.example.civilizedcity.service.TaPersonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.List;

@Component
public class BaseController {

    @Resource
    HttpServletRequest request;

    @Autowired
    protected SysUserService sysUserService;

    @Autowired
    protected TaPersonService taPersonService;

    @Autowired
    protected SysUserDutyService sysUserDutyService;

    public SysUser currentUser() throws Exception {
        String loginId = StpUtil.getLoginIdAsString();
        if (StringUtils.isEmpty(loginId)) {
            throw new Exception("请先登录");
        }

        String userId = loginId;
        SysUser user = sysUserService.getById(userId);
        if (user == null || user.getStatus() == Constants.STATUS_DELETE) {
            return null;
        }

        return user;
    }

    public TaPerson currentPerson() throws Exception {

        String personId = request.getHeader("x-personId");
        if (StringUtils.isEmpty(personId)) {
            return null;
        }

        TaPerson taPerson = taPersonService.getById(personId);
        if (taPerson == null || taPerson.getStatus() == Constants.STATUS_DELETE) {
            return null;
        }

        return taPerson;
    }

    public String getPersonDuty() throws Exception {
        String duty = request.getHeader("x-duty");
        return StringUtils.isEmpty(duty) ? null : duty;
    }

    public boolean isManager(SysUser sysUser) throws Exception {
        if (Constants.ROOT_ORG.equals(sysUser.getOrgId())) return true;

        List<String> dutyList = sysUserDutyService.getListByUser(sysUser.getUserId());
        sysUser.setDutyList(dutyList);  // 添加了一点副作用
        if (null != dutyList && (dutyList.contains(Constants.DUTY_MANAGER) || dutyList.contains(Constants.DUTY_QUERY_PERSON))) {
            return true;
        }

        return false;
    }
}
