package com.example.civilizedcity.common;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.ExcelWriter;
import com.alibaba.excel.support.ExcelTypeEnum;
import com.alibaba.excel.write.builder.ExcelWriterSheetBuilder;
import com.alibaba.excel.write.handler.WriteHandler;
import com.alibaba.excel.write.metadata.WriteSheet;
import com.alibaba.excel.write.metadata.fill.FillConfig;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;
import java.util.Map;

public class ExcelUtils {

    /**
     * 发送 excel 到客户端
     * 暂时只支持单 sheet 页
     * @param response
     * @param data
     * @param fileName
     * @throws IOException
     */
    public static void flush(HttpServletResponse response, Class dataClass, List data, String fileName) throws IOException {
        response.setContentType("application/vnd.ms-excel");
        response.setCharacterEncoding("utf-8");
        response.setHeader("Access-Control-Expose-Headers", "Content-Disposition");
        response.setHeader("Content-Disposition", "attachment;filename="+StringUtils.urlEncode(fileName)+".xlsx");

        EasyExcel.write(response.getOutputStream(), dataClass).sheet("sheet1").doWrite(data);
    }



    /**
     * 发送 excel 到客户端
     * 暂时只支持单 sheet 页
     * @param response
     * @param data
     * @param fileName
     * @throws IOException
     */
    public static void flushFile(HttpServletResponse response, InputStream tplFile, Class dataClass, List data, Map<String, Object> otherData, String fileName) throws IOException {
        response.setContentType("application/vnd.ms-excel");
        response.setCharacterEncoding("utf-8");
        response.setHeader("Access-Control-Expose-Headers", "Content-Disposition");
        response.setHeader("Content-Disposition", "attachment;filename="+StringUtils.urlEncode(fileName)+".xlsx");


        ExcelWriter excelWriter = EasyExcel.write(response.getOutputStream(), dataClass).withTemplate(tplFile).build();
        WriteSheet writeSheet = EasyExcel.writerSheet().build();
        FillConfig fillConfig1 = FillConfig.builder().forceNewRow(true).build();
//        FillConfig fillConfig2 = FillConfig.builder().autoStyle(true).build();

        excelWriter.fill(data, fillConfig1, writeSheet);
        excelWriter.fill(otherData, writeSheet);
        excelWriter.finish();
    }

    /**
     * 导出, 支持复杂一点的自定义
     * @param response
     * @param dataClass
     * @param data
     * @param fileName
     * @param writeHandlerList
     * @throws IOException
     */
    public static void flush2(HttpServletResponse response, Class dataClass, List data, String fileName, List<WriteHandler> writeHandlerList) throws IOException {
        response.setContentType("application/vnd.ms-excel");
        response.setCharacterEncoding("utf-8");
        response.setHeader("Access-Control-Expose-Headers", "Content-Disposition");
        response.setHeader("Content-Disposition", "attachment;filename="+StringUtils.urlEncode(fileName)+".xlsx");

        ExcelWriter excelWriter = EasyExcel.write(response.getOutputStream()).excelType(ExcelTypeEnum.XLSX).build();
        ExcelWriterSheetBuilder writerSheetBuilder = EasyExcel.writerSheet("sheet1").head(dataClass);

        if (null != writeHandlerList && writeHandlerList.size() > 0) {
            for (WriteHandler writeHandler : writeHandlerList) {
                writerSheetBuilder.registerWriteHandler(writeHandler);
            }
        }

        WriteSheet writeSheet = writerSheetBuilder.build();

        excelWriter.write(data, writeSheet);
        excelWriter.finish();
    }
}
