package com.example.civilizedcity.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;

import javax.servlet.*;
import javax.servlet.http.HttpServletRequest;
import java.io.IOException;

@Slf4j
@Configuration
public class LoggingFilterConfig implements Filter {
    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
        HttpServletRequest req = (HttpServletRequest) request;
        String uri = req.getRequestURI();
        String queryStr = req.getQueryString();
        String url = null == queryStr || "".equals(queryStr) ? uri : String.format("%s?%s", uri, queryStr);
        log.info("Request URI: [{}] {}", req.getMethod() , url);

        // 继续执行
        chain.doFilter(request, response);
    }
}
