package com.example.civilizedcity.config;

import cn.binarywang.wx.miniapp.api.WxMaService;
import cn.binarywang.wx.miniapp.api.impl.WxMaServiceImpl;
import cn.binarywang.wx.miniapp.bean.WxMaJscode2SessionResult;
import cn.binarywang.wx.miniapp.bean.WxMaPhoneNumberInfo;
import cn.binarywang.wx.miniapp.bean.WxMaUserInfo;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import me.chanjar.weixin.common.error.WxErrorException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class WxMaUitl {
    WxMaConfig wxMaConfig;
    WxMaService service;

    @Autowired
    public WxMaUitl(WxMaConfig wxMaConfig) {
        this.wxMaConfig = wxMaConfig;
        this.wxMaConfig.setMsgDataFormat("JSON");

        service = new WxMaServiceImpl();
        service.setWxMaConfig(this.wxMaConfig);
    }

    public WxMaService getService() {
        return service;
    }

    public WxMaJscode2SessionResult getOpenid(String code) throws WxErrorException {
        return service.getUserService().getSessionInfo(code);
    }

    public WxMaUserInfo getUserInfo(AuthParam param) {
        return service.getUserService().getUserInfo(param.getSessionKey(), param.getEncryptedData(), param.getIv());
    }

    public WxMaPhoneNumberInfo getPhoneNoInfo(AuthParam param) {
        return service.getUserService().getPhoneNoInfo(param.getSessionKey(), param.getEncryptedData(), param.getIv());
    }

    public WxMaPhoneNumberInfo getPhoneNoInfo(String code) throws WxErrorException {
        return service.getUserService().getNewPhoneNoInfo(code);
    }

    @Data
    public static class AuthParam {
        String signature;
        String rawData;
        String encryptedData;
        String iv;
        String sessionKey;
    }
}
