package com.example.civilizedcity.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.example.civilizedcity.common.*;

import java.time.LocalDateTime;
import java.util.List;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.example.civilizedcity.entity.SysLogin;
import com.example.civilizedcity.service.SysLoginService;

 /**
 * 系统账户表;(sys_login)表控制层
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
@Api(tags = "系统账户表对象功能接口")
@RestController
@RequestMapping("/")
public class SysLoginController extends BaseController {
    
    @Autowired
    private SysLoginService sysLoginService;
    
//    /**
//     * 通过ID查询单条数据
//     *
//     * @param loginId 主键
//     * @return 实例对象
//     */
//    @ApiOperation("通过ID查询单条数据")
//    @GetMapping("/sysLogin/{id}")
//    public ResponseBean queryById(@ApiParam("对象ID") @PathVariable Integer id) throws Exception {
//        return ResponseBean.success(sysLoginService.getById(id));
//    }
    
    /** 
     * 分页查询
     *
     * @param userId 当前页码
     * @return 查询结果
     */
    @ApiOperation("查询人员登录信息")
    @GetMapping("/sysLogin")
    public ResponseBean list(@ApiParam("用户ID") @RequestParam(value ="userId") String userId) throws Exception {

        SysLogin sysLogin = sysLoginService.getExistBy("user_id", userId, false, true);
        if (null != sysLogin) {
            sysLogin.setPassword(null);
        }

        return ResponseBean.success(sysLogin);
    }
    
    /** 
     * 新增数据
     *
     * @param sysLogin 实例对象
     * @return 实例对象
     */
    @ApiOperation("新增数据")
    @PostMapping("/sysLogin")
    public ResponseBean add(@ApiParam("对象实体") @RequestBody SysLogin sysLogin) throws Exception {
        SysLogin origin = sysLoginService.getExistBy("user_id", sysLogin.getUserId(), false, true);

        if (null == origin) {
            // 新增
            sysLogin.setLoginId(null);
            String password = EncryptUtils.md5(sysLogin.getPassword(), sysLogin.getUserId());
            sysLogin.setPassword(password);
            sysLogin.setStatus(Constants.STATUS_NORMAL);
            sysLogin.setCreateDate(LocalDateTime.now());
            sysLoginService.save(sysLogin);
        } else {
            // 更新
            if (!StringUtils.isEmpty(sysLogin.getPassword())) {
                String password = EncryptUtils.md5(sysLogin.getPassword(), sysLogin.getUserId());
                origin.setPassword(password);
            }
            origin.setAccount(sysLogin.getAccount());
            sysLoginService.updateById(origin);
        }

        sysLogin.setPassword(null);
        return ResponseBean.success(sysLogin);
    }
    
//    /**
//     * 更新数据
//     *
//     * @param sysLogin 实例对象
//     * @return 实例对象
//     */
//    @ApiOperation("更新数据")
//    @PutMapping("/sysLogin/{id}")
//    public ResponseBean edit(@ApiParam("对象实体") @RequestBody SysLogin sysLogin,
//                            @ApiParam("对象ID") @PathVariable Integer id ) throws Exception {
//        sysLoginService.updateById(sysLogin);
//        return ResponseBean.success(sysLogin);
//    }
//
//    /**
//     * 通过主键删除数据
//     *
//     * @param loginId 主键
//     * @return 是否成功
//     */
//    @ApiOperation("通过主键删除数据")
//    @DeleteMapping("/sysLogin/{id}")
//    public ResponseBean deleteById(@ApiParam("对象ID") @PathVariable Integer id){
//        sysLoginService.removeLogicById(id);
//        return ResponseBean.success("success");
//    }
}