package com.example.civilizedcity.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.example.civilizedcity.common.BaseController;
import com.example.civilizedcity.common.ResponseBean;
import java.util.List;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.example.civilizedcity.entity.SysResource;
import com.example.civilizedcity.service.SysResourceService;

 /**
 * 资源表;(sys_resource)表控制层
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
@Api(tags = "资源表对象功能接口")
@RestController
@RequestMapping("/")
public class SysResourceController extends BaseController {
    
    @Autowired
    private SysResourceService sysResourceService;
    
//    /**
//     * 通过ID查询单条数据
//     *
//     * @param resourceId 主键
//     * @return 实例对象
//     */
//    @ApiOperation("通过ID查询单条数据")
//    @GetMapping("/sysResource/{id}")
//    public ResponseBean queryById(@ApiParam("对象ID") @PathVariable String id) throws Exception {
//        return ResponseBean.success(sysResourceService.getById(id));
//    }
    
    /** 
     * 分页查询
     *
     * @param typeCode 资源类型
     * @param roleId 角色ID
     * @return 查询结果
     */
    @ApiOperation("分页查询")
    @GetMapping("/sysResource")
    public ResponseBean list(@ApiParam("资源类型") @RequestParam(value = "typeCode") String typeCode,
                             @ApiParam("角色ID") @RequestParam(value = "roleId", required = false) String roleId) throws Exception {

        List<SysResource> result = sysResourceService.listBy(typeCode, roleId);
        
        return ResponseBean.success(result);
    }
    
//    /**
//     * 新增数据
//     *
//     * @param sysResource 实例对象
//     * @return 实例对象
//     */
//    @ApiOperation("新增数据")
//    @PostMapping("/sysResource")
//    public ResponseBean add(@ApiParam("对象实体") @RequestBody SysResource sysResource) throws Exception {
//        sysResourceService.save(sysResource);
//        return ResponseBean.success(sysResource);
//    }
//
//    /**
//     * 更新数据
//     *
//     * @param sysResource 实例对象
//     * @return 实例对象
//     */
//    @ApiOperation("更新数据")
//    @PutMapping("/sysResource/{id}")
//    public ResponseBean edit(@ApiParam("对象实体") @RequestBody SysResource sysResource,
//                            @ApiParam("对象ID") @PathVariable String id ) throws Exception {
//        sysResourceService.updateById(sysResource);
//        return ResponseBean.success(sysResource);
//    }
//
//    /**
//     * 通过主键删除数据
//     *
//     * @param resourceId 主键
//     * @return 是否成功
//     */
//    @ApiOperation("通过主键删除数据")
//    @DeleteMapping("/sysResource/{id}")
//    public ResponseBean deleteById(@ApiParam("对象ID") @PathVariable String id){
//        sysResourceService.removeLogicById(id);
//        return ResponseBean.success("success");
//    }
}