package com.example.civilizedcity.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.example.civilizedcity.common.BaseController;
import com.example.civilizedcity.common.ResponseBean;
import java.util.List;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.example.civilizedcity.entity.SysRoleResource;
import com.example.civilizedcity.service.SysRoleResourceService;

 /**
 * 角色资源;(sys_role_resource)表控制层
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
@Api(tags = "角色资源对象功能接口")
@RestController
@RequestMapping("/")
public class SysRoleResourceController extends BaseController {
    
    @Autowired
    private SysRoleResourceService sysRoleResourceService;

     /**
      * 新增数据, 包含编辑
      *
      * @param roleId 角色ID
      * @param roleResourcesList 授权列表
      * @return 实例对象
      */
     @ApiOperation("新增数据, 包含编辑")
     @PostMapping("/role/{roleId}/resources")
     public ResponseBean add(@ApiParam("角色ID") @PathVariable String roleId,
                             @ApiParam("授权列表") @RequestBody List<SysRoleResource> roleResourcesList) throws Exception {
         if (null == roleResourcesList) {
             return ResponseBean.error("未找到授权对象");
         }

         sysRoleResourceService.mergeData(roleId, roleResourcesList);
         return ResponseBean.success(roleResourcesList);
     }
    
//    /**
//     * 通过ID查询单条数据
//     *
//     * @param resourceId 主键
//     * @return 实例对象
//     */
//    @ApiOperation("通过ID查询单条数据")
//    @GetMapping("/sysRoleResource/{id}")
//    public ResponseBean queryById(@ApiParam("对象ID") @PathVariable String id) throws Exception {
//        return ResponseBean.success(sysRoleResourceService.getById(id));
//    }
//
//    /**
//     * 分页查询
//     *
//     * @param pageNum 当前页码
//     * @param pageSize 每页条数
//     * @return 查询结果
//     */
//    @ApiOperation("分页查询")
//    @GetMapping("/sysRoleResource")
//    public ResponseBean list(@ApiParam("页码") @RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
//                            @ApiParam("单页数据量") @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize) throws Exception {
//
//        IPage<SysRoleResource> pg = new Page<>(pageNum, pageSize);
//        // QueryWrapper<SysRoleResource> queryWrapper = new QueryWrapper<>();
//        // queryWrapper.orderByDesc("create_date");
//        IPage<SysRoleResource> result = sysRoleResourceService.page(pg);
//
//        return ResponseBean.success(result);
//    }
//
//    /**
//     * 新增数据
//     *
//     * @param sysRoleResource 实例对象
//     * @return 实例对象
//     */
//    @ApiOperation("新增数据")
//    @PostMapping("/sysRoleResource")
//    public ResponseBean add(@ApiParam("对象实体") @RequestBody SysRoleResource sysRoleResource) throws Exception {
//        sysRoleResourceService.save(sysRoleResource);
//        return ResponseBean.success(sysRoleResource);
//    }
//
//    /**
//     * 更新数据
//     *
//     * @param sysRoleResource 实例对象
//     * @return 实例对象
//     */
//    @ApiOperation("更新数据")
//    @PutMapping("/sysRoleResource/{id}")
//    public ResponseBean edit(@ApiParam("对象实体") @RequestBody SysRoleResource sysRoleResource,
//                            @ApiParam("对象ID") @PathVariable String id ) throws Exception {
//        sysRoleResourceService.updateById(sysRoleResource);
//        return ResponseBean.success(sysRoleResource);
//    }
//
//    /**
//     * 通过主键删除数据
//     *
//     * @param resourceId 主键
//     * @return 是否成功
//     */
//    @ApiOperation("通过主键删除数据")
//    @DeleteMapping("/sysRoleResource/{id}")
//    public ResponseBean deleteById(@ApiParam("对象ID") @PathVariable String id){
//        sysRoleResourceService.removeLogicById(id);
//        return ResponseBean.success("success");
//    }
}