package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 单位表;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "单位表",description = "")
@TableName("sys_org")
public class SysOrg implements Serializable,Cloneable{
    /** 机构ID */
    @ApiModelProperty(name = "机构ID",notes = "")
    @TableId(value = "org_id", type = IdType.ASSIGN_UUID)
    private String orgId ;
    /** 机构编码 */
    @ApiModelProperty(name = "机构编码",notes = "")
    private String orgCode ;
    /** 机构名称 */
    @ApiModelProperty(name = "机构名称",notes = "")
    private String name ;
    /** 上级单位 */
    @ApiModelProperty(name = "上级单位",notes = "")
    private String orgPId ;

     /** 是否责任单位 */
     @ApiModelProperty(name = "是否责任单位",notes = "")
    private Boolean isResponsible;
    /** 排序 */
    @ApiModelProperty(name = "排序",notes = "")
    private Integer sortNo ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    private String createUser ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}