package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 资源表;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "资源表",description = "")
@TableName("sys_resource")
public class SysResource implements Serializable,Cloneable{
    /** 资源ID */
    @ApiModelProperty(name = "资源ID",notes = "")
    @TableId(value = "resource_id", type = IdType.INPUT)
    private String resourceId ;
    /** 资源名称 */
    @ApiModelProperty(name = "资源名称",notes = "")
    private String name ;
    /** 资源类型 */
    @ApiModelProperty(name = "资源类型",notes = "")
    private String typeCode ;
    /** 资源编码 */
    @ApiModelProperty(name = "资源编码",notes = "")
    private String resourceCode ;
    /** 上级ID */
    @ApiModelProperty(name = "上级ID",notes = "")
    private String parentId ;
    /** 排序 */
    @ApiModelProperty(name = "排序",notes = "")
    private Integer sortNo ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    private String createUser ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}