package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 系统角色;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "系统角色",description = "")
@TableName("sys_role")
public class SysRole implements Serializable,Cloneable{
    /** 角色ID */
    @ApiModelProperty(name = "角色ID",notes = "")
    @TableId(value = "role_id", type = IdType.ASSIGN_UUID)
    private String roleId ;
    /** 角色名称 */
    @ApiModelProperty(name = "角色名称",notes = "")
    private String name ;
    /** 机构ID */
    @ApiModelProperty(name = "机构ID",notes = "")
    private String orgId ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    private String createUser ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}