package com.example.civilizedcity.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 用户表;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "用户表",description = "")
@TableName("sys_user")
public class SysUser implements Serializable,Cloneable{
    /** 用户ID */
    @ApiModelProperty(name = "用户ID",notes = "")
    @TableId(value = "user_id", type = IdType.ASSIGN_UUID)
    private String userId ;
    /** 用户名称 */
    @ApiModelProperty(name = "用户名称",notes = "")
    private String name ;
    /** 头像 */
    @ApiModelProperty(name = "头像",notes = "")
    private String avatar ;
    /** 手机 */
    @ApiModelProperty(name = "手机",notes = "")
    private String phone ;
    /** 岗位ID */
    @ApiModelProperty(name = "岗位ID",notes = "")
    private String positionId ;
    /** 机构ID */
    @ApiModelProperty(name = "机构ID",notes = "")
    private String orgId ;
     /** 是否系统用户 */
     @ApiModelProperty(name = "是否系统用户",notes = "")
     private Boolean isUser ;
     /** 是否系统用户 */
     @ApiModelProperty(name = "是否微信端添加",notes = "")
     private Boolean isFromWx ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    private String createUser ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

     @ApiModelProperty(name = "角色列表", notes = "")
     @TableField(exist = false)
     List<SysRole> rolesList;

     @ApiModelProperty(name = "资源列表", notes = "")
     @TableField(exist = false)
     List<SysResource> resourcesList;

     @ApiModelProperty(name = "职责列表", notes = "")
     @TableField(exist = false)
     List<String> dutyList;

     @ApiModelProperty(name = "单位信息", notes = "")
     @TableField(exist = false)
     SysOrg org;
}