package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 模拟测评;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "模拟测评",description = "")
@TableName("ta_check")
public class TaCheck implements Serializable,Cloneable{
      /** 测评ID */
      @ApiModelProperty(name = "测评ID",notes = "")
      @TableId(value = "check_id", type = IdType.ASSIGN_UUID)
      private String checkId ;
      /** 测评标题 */
      @ApiModelProperty(name = "测评标题",notes = "")
      private String title ;
      /** 总分 */
      @ApiModelProperty(name = "总分",notes = "")
      private Integer score ;
       /** 实地测评得分 */
       @ApiModelProperty(name = "实地测评得分",notes = "")
       private Double locScore ;
       /** 调查问卷得分 */
       @ApiModelProperty(name = "调查问卷得分",notes = "")
       private Double surveyScore ;
     /** 实地测评得分 */
     @ApiModelProperty(name = "实地测评份数",notes = "")
     private Integer locNum ;
     /** 调查问卷得分 */
     @ApiModelProperty(name = "调查问卷份数",notes = "")
     private Integer surveyNum ;
     /** 实地测评得分占比 */
     @ApiModelProperty(name = "实地测评得分占比",notes = "")
     private Double locScorePercent ;
     /** 调查问卷得分占比 */
     @ApiModelProperty(name = "调查问卷得分占比",notes = "")
     private Double surveyScorePercent ;
      /** 开始日期;YYYY-MM-DD */
      @ApiModelProperty(name = "开始日期",notes = "YYYY-MM-DD")
      private String startDate ;
      /** 截止时间;YYYY-MM-DD */
      @ApiModelProperty(name = "截止时间",notes = "YYYY-MM-DD")
      private String endDate ;
      /** 状态 */
      @ApiModelProperty(name = "状态",notes = "")
      private Integer status ;
      /** 创建人 */
      @ApiModelProperty(name = "创建人",notes = "")
      private String createUser ;
      /** 创建时间 */
      @ApiModelProperty(name = "创建时间",notes = "")
      private LocalDateTime createDate ;

     /** 拷贝来源 */
     @ApiModelProperty(name = "拷贝来源",notes = "")
     private String copyFrom ;
}