package com.example.civilizedcity.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 测评作答;
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "测评作答",description = "")
@TableName("ta_check_answer")
public class TaCheckAnswer implements Serializable,Cloneable{
    /** 作答ID */
    @ApiModelProperty(name = "作答ID",notes = "")
    @TableId(value = "answer_id", type = IdType.INPUT)
    private String answerId ;
    /** 测评点位 */
    @ApiModelProperty(name = "测评项目ID",notes = "")
    private String itemId ;
    /** 测评ID */
    @ApiModelProperty(name = "测评ID",notes = "")
    private String checkId ;
    /** 点位名称 */
    @ApiModelProperty(name = "点位名称",notes = "")
    private String itemName ;
    /** 具体名称 */
    @ApiModelProperty(name = "具体名称",notes = "")
    private String name ;
    /** 定位 */
    @ApiModelProperty(name = "定位",notes = "")
    private String location ;
    /** 定位描述 - 小区 */
    @ApiModelProperty(name = "定位描述 - 小区",notes = "")
    private String addr ;
     /** 社区名称 */
     @ApiModelProperty(name = "社区名称",notes = "")
     private String communityName ;
     /** 性别 */
     @ApiModelProperty(name = "性别",notes = "")
     private String sex ;
     /** 年龄段 */
     @ApiModelProperty(name = "年龄段",notes = "")
     private String age ;
    /** 得分 */
    @ApiModelProperty(name = "得分",notes = "")
    private Double score ;
    /** 机构ID */
    @ApiModelProperty(name = "机构ID",notes = "")
    private String orgId ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 作答人 */
    @ApiModelProperty(name = "作答人",notes = "")
    private String createUser ;
     /** 作答人名称 */
     @ApiModelProperty(name = "作答人名称",notes = "")
     private String userName ;
    /** 作答时间 */
    @ApiModelProperty(name = "作答时间",notes = "")
    private LocalDateTime createDate ;

    @TableField(exist = false)
    @ApiModelProperty(name = "答案列表",notes = "")
    private List<TaCheckAnswerItem> answerItemList ;

     /** 点位id */
     @TableField(exist = false)
     @ApiModelProperty(name = "点位id",notes = "")
     private String typeId ;
     /** 点位名称 */
     @TableField(exist = false)
     @ApiModelProperty(name = "点位名称",notes = "")
     private String typeName ;


     /** 卡片名称 */
     @ApiModelProperty(name = "卡片名称",notes = "")
     private String cardTitle ;
}