package com.example.civilizedcity.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 测评作答详情;
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "测评作答详情", description = "")
@TableName("ta_check_answer_item")
public class TaCheckAnswerItem implements Serializable, Cloneable {
    /**
     * 答案ID
     */
    @ApiModelProperty(name = "答案ID", notes = "")
    @TableId(value = "item_id", type = IdType.ASSIGN_UUID)
    private String itemId;
    /**
     * 问题ID;来源点位问题
     */
    @ApiModelProperty(name = "问题ID", notes = "来源点位问题")
    private String quId;
    /**
     * 作答ID;来源测评作答
     */
    @ApiModelProperty(name = "作答ID", notes = "来源测评作答")
    private String answerId;
    /**
     * 答案选项
     */
    @ApiModelProperty(name = "答案选项", notes = "")
    private String answerCode;
    /**
     * 答案
     */
    @ApiModelProperty(name = "答案", notes = "")
    private String answer;
    /**
     * 得分
     */
    @ApiModelProperty(name = "得分", notes = "")
    private Double score;
    /**
     * 状态
     */
    @ApiModelProperty(name = "状态", notes = "")
    private Integer status;
    /**
     * 作答人
     */
    @ApiModelProperty(name = "作答人", notes = "")
    private String createUser;
    /**
     * 作答时间
     */
    @ApiModelProperty(name = "作答时间", notes = "")
    private LocalDateTime createDate;

    @TableField(exist = false)
    @ApiModelProperty(name = "图片列表", notes = "")
    List<TaAttach> attachList;

}