package com.example.civilizedcity.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 测评点位;
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "测评点位", description = "")
@TableName("ta_check_item")
public class TaCheckItem implements Serializable, Cloneable {
    /**
     * 点位ID
     */
    @ApiModelProperty(name = "点位ID", notes = "")
    @TableId(value = "item_id", type = IdType.ASSIGN_UUID)
    private String itemId;
    /**
     * 所属测评
     */
    @ApiModelProperty(name = "所属测评", notes = "")
    private String checkId;
    /**
     * 项目类型;loc点位,survey问卷调查
     */
    @ApiModelProperty(name = "项目类型", notes = "loc点位,survey问卷调查")
    private String itemType;
    /**
     * 点位ID
     */
    @ApiModelProperty(name = "点位ID", notes = "")
    private String typeId;
    /**
     * 名称
     */
    @ApiModelProperty(name = "名称", notes = "")
    private String name;
    /**
     * 满分
     */
    @ApiModelProperty(name = "满分", notes = "")
    private Double fullScore;
    /**
     * 得分
     */
    @ApiModelProperty(name = "得分", notes = "")
    private Double score;
    /**
     * 数量
     */
    @ApiModelProperty(name = "数量", notes = "")
    private Integer num;
    /**
     * 状态
     */
    @ApiModelProperty(name = "状态", notes = "")
    private Integer status;
    /**
     * 创建人
     */
    @ApiModelProperty(name = "创建人", notes = "")
    private String createUser;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    private LocalDateTime createDate;

    /** 拷贝来源 */
    @ApiModelProperty(name = "拷贝来源",notes = "")
    private String copyFrom ;

    /** 文明用语 */
    @ApiModelProperty(name = "文明用语",notes = "")
    private String cultureTerm ;

    @TableField(exist = false)
    @ApiModelProperty(name = "是否只读, 只读代表不需要答题")
    private Integer answerNum;

}