package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 项目问题答案;
 * @author : http://www.chiner.pro
 * @date : 2022-12-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "项目问题答案",description = "")
@TableName("ta_check_item_an")
public class TaCheckItemAn implements Serializable,Cloneable{
    /** 答案ID */
    @ApiModelProperty(name = "答案ID",notes = "")
    @TableId(value = "answer_id", type = IdType.ASSIGN_UUID)
    private String answerId ;
    /** 问题ID */
    @ApiModelProperty(name = "问题ID",notes = "")
    private String quId ;
    /** 答案选项;ABCD等 */
    @ApiModelProperty(name = "答案选项",notes = "ABCD等")
    private String answerCode ;
    /** 答案 */
    @ApiModelProperty(name = "答案",notes = "")
    private String answer ;
    /** 分值 */
    @ApiModelProperty(name = "分值",notes = "")
    private Double score ;
    /** 排序 */
    @ApiModelProperty(name = "排序",notes = "")
    private Integer sortNo ;

     @ApiModelProperty(name = "上报问题",notes = "")
    private Boolean reportIssue;

     /** 拷贝来源 */
     @ApiModelProperty(name = "拷贝来源",notes = "")
     private String copyFrom ;
}