package com.example.civilizedcity.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 点位问题;
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "点位问题",description = "")
@TableName("ta_check_item_qu")
public class TaCheckItemQu implements Serializable,Cloneable{
     /** id */
     @ApiModelProperty(name = "id",notes = "")
     @TableId(value = "qu_id", type = IdType.ASSIGN_UUID)
     private String quId ;
     /** 点位ID */
     @ApiModelProperty(name = "点位ID",notes = "")
     private String itemId ;
     /** 问题类型;radio 单选, fill 填空题 */
     @ApiModelProperty(name = "问题类型",notes = "radio 单选, fill 填空题")
     private String quType ;
     /** 问题描述 */
     @ApiModelProperty(name = "问题描述",notes = "")
     private String title ;
     /** 计分方式;+得分,-减分 */
     @ApiModelProperty(name = "计分方式",notes = "+得分,-减分")
     private String computeType ;
     /** 最高得(扣)分 */
     @ApiModelProperty(name = "最高得(扣)分",notes = "")
     private Double maxScore ;
     /** 每项计分 */
     @ApiModelProperty(name = "每项计分",notes = "")
     private Double anScore ;
     /** 评分标准 */
     @ApiModelProperty(name = "评分标准",notes = "")
     private String stand ;
     /** 序号 */
     @ApiModelProperty(name = "序号",notes = "")
     private Integer sortNo ;

      @ApiModelProperty(name = "填空题单位",notes = "")
     private String fillUnit;

      /** 拷贝来源 */
      @ApiModelProperty(name = "拷贝来源",notes = "")
      private String copyFrom ;
      /**
       * 答案列表
       */
      @TableField(exist = false)
     List<TaCheckItemAn> answerList;
}