package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 测评分值设置;
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "测评分值设置",description = "")
@TableName("ta_check_score")
public class TaCheckScore implements Serializable,Cloneable{
    /** ID */
    @ApiModelProperty(name = "ID",notes = "")
    @TableId(value = "id", type = IdType.INPUT)
    private Integer id ;
    /** 所属测评 */
    @ApiModelProperty(name = "所属测评",notes = "")
    private String checkId ;
    /** 问题类型 */
    @ApiModelProperty(name = "问题类型",notes = "")
    private String quType ;
    /** 得分;正值是得分,负值是扣分 */
    @ApiModelProperty(name = "得分",notes = "正值是得分,负值是扣分")
    private Double score ;
    /** 最小值 */
    @ApiModelProperty(name = "最小值",notes = "")
    private Double minVal ;
    /** 最大值 */
    @ApiModelProperty(name = "最大值",notes = "")
    private Double maxVal ;
    /** 机构ID */
    @ApiModelProperty(name = "机构ID",notes = "")
    private String orgId ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    private String createUser ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}