package com.example.civilizedcity.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 反馈表;
 * @author : http://www.chiner.pro
 * @date : 2023-1-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "反馈表",description = "")
@TableName("ta_feedback")
public class TaFeedback implements Serializable,Cloneable{
    /** 反馈ID */
    @ApiModelProperty(name = "反馈ID",notes = "")
    @TableId(value = "feedback_id", type = IdType.ASSIGN_UUID)
    private String feedbackId ;
    /** 反馈标题 */
    @ApiModelProperty(name = "反馈标题",notes = "")
    private String title ;
    /** 详情 */
    @ApiModelProperty(name = "详情",notes = "")
    private String content ;
    /** 定位 */
    @ApiModelProperty(name = "定位",notes = "")
    private String location ;
    /** 具体位置 */
    @ApiModelProperty(name = "具体位置",notes = "")
    private String addr ;
    /** 反馈人ID */
    @ApiModelProperty(name = "反馈人ID",notes = "")
    private String personId ;
    /** 反馈人姓名 */
    @ApiModelProperty(name = "反馈人姓名",notes = "")
    private String name ;
    /** 联系电话 */
    @ApiModelProperty(name = "联系电话",notes = "")
    private String phone ;
    /** 审核状态;0未审,1通过,2驳回 */
    @ApiModelProperty(name = "审核状态",notes = "null未审,pass通过,reject驳回")
    private String verifyStatus ;
    /** 审核意见 */
    @ApiModelProperty(name = "审核意见",notes = "")
    private String verifyDesc ;
     /** 审核日期 */
     @ApiModelProperty(name = "审核日期",notes = "")
     private LocalDateTime verifyDate ;
    /** 关联问题单 */
    @ApiModelProperty(name = "关联问题单",notes = "")
    private String issueId ;
    /** 机构ID */
    @ApiModelProperty(name = "机构ID",notes = "")
    private String orgId ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;


     @TableField(exist = false)
     @ApiModelProperty(name = "文件列表",notes = "")
     private List<TaAttach> attachList;
}