package com.example.civilizedcity.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.TableField;
import com.example.civilizedcity.common.excel.LocalDateTimeConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 问题表;
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "问题表", description = "")
@TableName("ta_issue")
public class TaIssue implements Serializable, Cloneable {

    @ColumnWidth(24)
    @ExcelProperty(value = "问题单号", index = 0)
    @ApiModelProperty(name = "问题ID", notes = "")
    @TableId(value = "issue_id", type = IdType.AUTO)
    private Integer issueId;

    @ExcelIgnore
    @ApiModelProperty(name = "标题", notes = "")
    private String title;

    @ExcelIgnore
    @ApiModelProperty(name = "所属分类", notes = "")
    private String typeId;

    @ExcelIgnore
    @ApiModelProperty(name = "分类名称", notes = "")
    private String typeName;

    @ExcelIgnore
    @ApiModelProperty(name = "点位ID", notes = "")
    private String locId;

    @ColumnWidth(30)
    @ExcelProperty(value = "点位", index = 2)
    @ApiModelProperty(name = "点位名称", notes = "")
    private String locName;

    @ExcelIgnore
    @ApiModelProperty(name = "定位", notes = "")
    private String location;

    @ColumnWidth(50)
    @ExcelProperty(value = "位置", index = 3)
    @ApiModelProperty(name = "具体位置", notes = "")
    private String addr;

    @ColumnWidth(80)
    @ExcelProperty(value = "问题详情", index = 4)
    @ApiModelProperty(name = "问题详情", notes = "")
    private String content;

    @ColumnWidth(20)
    @ExcelProperty(value = "流程状态", index = 6)
    @ApiModelProperty(name = "流程节点", notes = "")
    private String processNode;

    @ExcelIgnore
    @ApiModelProperty(name = "处理状态", notes = "")
    private String processStatus;

    @ColumnWidth(30)
    @ExcelProperty(value = "截止时间", index = 7)
    @ApiModelProperty(name = "截止时间", notes = "YYYY-MM-DD")
    private String expireDate;

    @ExcelIgnore
    @ApiModelProperty(name = "办结时间", notes = "")
    private LocalDateTime endDate;

    @ColumnWidth(30)
    @ExcelProperty(value = "交办次数", index = 8)
    @ApiModelProperty(name = "交办次数", notes = "")
    private Integer processNum;
    /**
     * 责任单位
     */
    @ColumnWidth(40)
    @ExcelProperty(value = "责任单位", index = 5)
    @ApiModelProperty(name = "责任单位", notes = "")
    private String orgId;

    @ExcelIgnore
    @ApiModelProperty(name = "来源类型", notes = "feedback市民上报,check模拟测评")
    private String sourceType;

    @ColumnWidth(30)
    @ExcelProperty(value = "来源类型", index = 9)
    @ApiModelProperty(name = "来源类型", notes = "check 模拟测评  feedback 市民上报  inspector 督查员上报")
    private String sourceType2;

    @ExcelIgnore
    @ApiModelProperty(name = "来源ID", notes = "")
    private String sourceTarget;

    @ExcelIgnore
    @ApiModelProperty(name = "当前申请类型", notes = "")
    private String applyType;

    @ExcelIgnore
    @ApiModelProperty(name = "当前申请ID", notes = "")
    private Integer applyId;

    @ExcelIgnore
    @ApiModelProperty(name = "审核状态", notes = "")
    private Integer validateStatus;

    @ExcelIgnore
    @ApiModelProperty(name = "状态", notes = "")
    private Integer status;

    @ExcelIgnore
    @ApiModelProperty(name = "复制来源", notes = "")
    private String copyFrom;

    @ExcelIgnore
    @ApiModelProperty(name = "上报人", notes = "")
    private String createUser;

    @ExcelIgnore
    @ApiModelProperty(name = "上报人名称", notes = "")
    private String userName;

    @ExcelIgnore
    @ApiModelProperty(name = "上报人身份", notes = "")
    private String userDuty;



    @ColumnWidth(30)
    @ExcelProperty(value = "上报日期", index = 1, converter = LocalDateTimeConverter.class)
    @ApiModelProperty(name = "创建时间", notes = "")
    private LocalDateTime createDate;

    @ExcelIgnore
    @ApiModelProperty(name = "更新人", notes = "")
    private String updateUser;

    @ExcelIgnore
    @ApiModelProperty(name = "更新时间", notes = "")
    private LocalDateTime updateDate;

    @ExcelIgnore
    @TableField(exist = false)
    @ApiModelProperty(name = "文件列表", notes = "")
    private List<TaAttach> attachList;



}