package com.example.civilizedcity.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 问题处理申请;
 * @author : http://www.chiner.pro
 * @date : 2022-12-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "问题处理申请",description = "")
@TableName("ta_issue_apply")
public class TaIssueApply implements Serializable,Cloneable{
    /** 申请ID */
    @ApiModelProperty(name = "申请ID",notes = "")
    @TableId(value = "apply_id", type = IdType.AUTO)
    private Integer applyId ;
    /** 问题ID */
    @ApiModelProperty(name = "问题ID",notes = "")
    private Integer issueId ;
    /** 申请类型 */
    @ApiModelProperty(name = "申请类型",notes = "")
    private String applyType ;
    /** 申请内容 */
    @ApiModelProperty(name = "申请内容",notes = "")
    private String content ;
    /** 申请理由 */
    @ApiModelProperty(name = "申请理由",notes = "")
    private String remark ;
    /** 审批结果 */
    @ApiModelProperty(name = "审批结果",notes = "")
    private String verifyStatus ;
    /** 审批说明 */
    @ApiModelProperty(name = "审批说明",notes = "")
    private String verifyDesc ;
    /** 审批机构 */
    @ApiModelProperty(name = "审批机构",notes = "")
    private String verifyOrg ;
    /** 审批人 */
    @ApiModelProperty(name = "审批人",notes = "")
    private String verifyUser ;
    /** 审批人名称 */
    @ApiModelProperty(name = "审批人名称",notes = "")
    private String verifyUserName ;
    /** 审批日期 */
    @ApiModelProperty(name = "审批日期",notes = "")
    private LocalDateTime verifyDate ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 申请机构 */
    @ApiModelProperty(name = "申请机构",notes = "")
    private String orgId ;
    /** 申请人 */
    @ApiModelProperty(name = "申请人",notes = "")
    private String createUser ;
    /** 申请人名称 */
    @ApiModelProperty(name = "申请人名称",notes = "")
    private String createUserName ;
    /** 申请时间 */
    @ApiModelProperty(name = "申请时间",notes = "")
    private LocalDateTime createDate ;

    @TableField(exist = false)
    @ApiModelProperty(name = "问题单内容",notes = "")
    private String issueContent;

     @TableField(exist = false)
     @ApiModelProperty(name = "问题单地址",notes = "")
     private String issueAddr;
}