package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 消息通知;
 * @author : http://www.chiner.pro
 * @date : 2023-1-2
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "消息通知",description = "")
@TableName("ta_message")
public class TaMessage implements Serializable,Cloneable{
    /** ID */
    @ApiModelProperty(name = "ID",notes = "")
    @TableId(value = "msg_id", type = IdType.AUTO)
    private Integer msgId ;
     /** 消息类型 */
     @ApiModelProperty(name = "消息类型",notes = "")
     private String msgType ;
    /** 消息标题 */
    @ApiModelProperty(name = "消息标题",notes = "")
    private String title ;
    /** 消息内容 */
    @ApiModelProperty(name = "消息内容",notes = "")
    private String content ;
    /** 关联内容 */
    @ApiModelProperty(name = "关联内容",notes = "")
    private String targetType ;
    /** 关联内容ID */
    @ApiModelProperty(name = "关联内容ID",notes = "")
    private String targetId ;
    /** 接收人员 */
    @ApiModelProperty(name = "接收人员",notes = "")
    private String receiveUser ;
    /** 机构ID */
    @ApiModelProperty(name = "机构ID",notes = "")
    private String orgId ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    private String createUser ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}