package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 通知公告;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "通知公告",description = "")
@TableName("ta_notice")
public class TaNotice implements Serializable,Cloneable{
    /** 通知ID */
    @ApiModelProperty(name = "通知ID",notes = "")
    @TableId(value = "notice_id", type = IdType.ASSIGN_UUID)
    private String noticeId ;
    /** 标题 */
    @ApiModelProperty(name = "标题",notes = "")
    private String title ;
    /** 正文 */
    @ApiModelProperty(name = "正文",notes = "")
    private String content ;
    /** 缩略图 */
    @ApiModelProperty(name = "缩略图",notes = "")
    private String thumb ;
    /** 权重 */
    @ApiModelProperty(name = "权重",notes = "")
    private Integer weight ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建人 */
    @ApiModelProperty(name = "创建人",notes = "")
    private String createUser ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}