package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 人员表;
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "人员表",description = "")
@TableName("ta_person")
public class TaPerson implements Serializable,Cloneable{
    /** 人员id */
    @ApiModelProperty(name = "人员id",notes = "")
    @TableId(value = "person_id", type = IdType.ASSIGN_UUID)
    private String personId ;
    /** 微信openid */
    @ApiModelProperty(name = "微信openid",notes = "")
    private String openid ;
    /** 用户名称 */
    @ApiModelProperty(name = "用户名称",notes = "")
    private String name ;
    /** 头像 */
    @ApiModelProperty(name = "头像",notes = "")
    private String avatar ;
    /** 手机号 */
    @ApiModelProperty(name = "手机号",notes = "")
    private String phone ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}