package com.example.civilizedcity.exception;

import cn.dev33.satoken.exception.SaTokenException;
import com.example.civilizedcity.common.ResponseBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestControllerAdvice;

@Slf4j
@RestControllerAdvice
public class GlobalExceptionHandler {

    @ResponseBody
    @ExceptionHandler(SaTokenException.class)
    public ResponseBean handleSaTokenException(Exception e){
        e.printStackTrace();
        return ResponseBean.error(e.getMessage(), ResponseBean.ERROR_AUTH_FAIL);
    }

    @ResponseBody
    @ExceptionHandler(Exception.class)
    public ResponseBean handleException(Exception e){
        log.error(e.getMessage(),e);
        return ResponseBean.error(e.getMessage(), ResponseBean.ERROR_UNAVAILABLE);
    }
}
