package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.civilizedcity.vo.CheckLoc;
import com.example.civilizedcity.vo.CheckLocAnswer;
import com.example.civilizedcity.vo.CheckSurvey;
import com.example.civilizedcity.vo.CheckSurveyAnswer;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TaCheckAnswer;

import java.util.List;

/**
 * 测评作答;(ta_check_answer)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2022-12-13
 */
@Mapper
public interface TaCheckAnswerMapper extends BaseMapper<TaCheckAnswer> {

    Integer countByItem(@Param("itemId") String itemId);

    List<TaCheckAnswer> getListBy(@Param("itemId") String itemId);

    List<TaCheckAnswer> getListByLimit(@Param("itemId") String itemId, @Param("limit") int limit);

    Double sumScore(@Param("itemId") String itemId, @Param("num") Integer num);

    int getCountByUser(@Param("itemId") String itemId, @Param("userId") String userId);

    List<TaCheckAnswer> getByUser(@Param("itemId") String itemId, @Param("userId") String userId);

    IPage<CheckLocAnswer> getLocPageBy(IPage<CheckLocAnswer> pg,
                                       @Param("checkId") String checkId,
                                       @Param("typeId") String typeId,
                                       @Param("answerId") String answerId);

    List<CheckLocAnswer> getLocListBy(@Param("checkId") String checkId,
                                      @Param("typeId") String typeId,
                                      @Param("answerId") String answerId);

    IPage<CheckSurveyAnswer> getSurveyPageBy(IPage<CheckSurveyAnswer> pg,
                                             @Param("checkId") String checkId,
                                             @Param("answerId") String answerId,
                                             @Param("communityName") String communityName,
                                             @Param("addr") String addr);

    List<CheckSurveyAnswer> getSurveyListBy(@Param("checkId") String checkId,
                                            @Param("answerId") String answerId,
                                            @Param("communityName") String communityName,
                                            @Param("addr") String addr);

    IPage<TaCheckAnswer> getPageBy(IPage<TaCheckAnswer> page,
                                   @Param("checkId") String checkId,
                                   @Param("itemType") String itemType,
                                   @Param("typeId") String typeId,
                                   @Param("communityName") String communityName,
                                   @Param("addr") String addr,
                                   @Param("userName") String userName);

    List<CheckLoc> getCheckListBy(@Param("checkId") String checkId,
                                  @Param("itemType") String itemType,
                                  @Param("typeId") String typeId,
                                  @Param("communityName") String communityName,
                                  @Param("addr") String addr,
                                  @Param("userName") String userName);

    List<CheckSurvey> getCheckList2By(@Param("checkId") String checkId,
                                      @Param("itemType") String itemType,
                                      @Param("typeId") String typeId,
                                      @Param("communityName") String communityName,
                                      @Param("addr") String addr,
                                      @Param("userName") String userName);
}