package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.civilizedcity.entity.SysUser;
import com.example.civilizedcity.entity.TaCheck;
import com.example.civilizedcity.vo.CheckLocExport;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TaCheckItem;

import java.util.List;

/**
 * 测评点位;(ta_check_item)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-12-13
 */
@Mapper
public interface TaCheckItemMapper  extends BaseMapper<TaCheckItem>{

     IPage<TaCheckItem> getPageBy(IPage<TaCheckItem> pg,
                                  @Param("checkId") String checkId,
                                  @Param("itemType") String itemType);

     int createNewLocItems(@Param("checkId") String checkId);

     List<TaCheckItem> getListBy(@Param("checkId") String checkId, @Param("itemType") String itemType);

    long copyItems(@Param("oldCheckId") String oldCheckId, @Param("newCheckId") String newCheckId);

    Double sumScore(@Param("checkId") String checkId, @Param("itemType") String itemType);

    double sumEvlScore(@Param("itemId") String itemId);

    boolean updateFullScore(@Param("itemId") String itemId);

    int calcScore(@Param("checkId") String checkId);

    List<CheckLocExport> getExportByCheck(@Param("checkId") String checkId, @Param("itemType") String itemType);

    void updateLoc(@Param("checkId") String checkId);

    void syncLoc(@Param("checkId") String checkId);
}