package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.civilizedcity.entity.TaIssue;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TaFeedback;

import java.util.List;
import java.util.Map;

/**
 * 反馈表;(ta_feedback)表数据库访问层
 *
 * @author : http://njyunzhi.com
 * @date : 2023-1-30
 */
@Mapper
public interface TaFeedbackMapper extends BaseMapper<TaFeedback> {

    long countByVerifyStatus(@Param("personId") String personId, @Param("verifyStatus") String verifyStatus);

    Map<String, Object> statMaIndex(@Param("personId") String personId);

    IPage<TaIssue> getPageBy(IPage<TaIssue> pg,
                             @Param("personId") String personId,
                             @Param("processList") List<String> processList,
                             @Param("processStatus") String processStatus);
}