package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.civilizedcity.vo.StatVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TaIssue;

import java.util.List;
import java.util.Map;

/**
 * 问题表;(ta_issue)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-12-12
 */
@Mapper
public interface TaIssueMapper  extends BaseMapper<TaIssue>{

     IPage<TaIssue> getPageBy(IPage<TaIssue> pg, @Param("orgId") String orgId);

     IPage<TaIssue> getAllBy(IPage<TaIssue> pg);

     int updateApply(@Param("issueId") Integer issueId,
                     @Param("applyType") String applyType,
                     @Param("applyId") Integer applyId);

     int updateValidateStatus(@Param("issueId") Integer issueId, @Param("validateStatus") int validateStatus);

     Map<String, Object> statMaIndex(@Param("userId") String userId);

     Map<String, Object> statIssueOrg(@Param("orgId") String orgId);

     List<StatVo> statIssueType();

    int updateProcess(@Param("issueId") Integer issueId,
                      @Param("userId") String userId,
                      @Param("processNode") String processNode,
                      @Param("processStatus") String processStatus);

    List<StatVo> statIssueLoc();


    int removeByIssueId(@Param("issueId") String issueId);

}