package com.example.civilizedcity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.civilizedcity.entity.TaCheckAnswer;
import com.example.civilizedcity.vo.CheckLoc;
import com.example.civilizedcity.vo.CheckLocAnswer;
import com.example.civilizedcity.vo.CheckSurvey;
import com.example.civilizedcity.vo.CheckSurveyAnswer;

import java.util.List;

/**
 * 测评作答;(ta_check_answer)表服务接口
 *
 * @author : http://njyunzhi.com
 * @date : 2022-12-13
 */
public interface TaCheckAnswerService extends IBaseService<TaCheckAnswer> {

    int getCountByUser(String itemId, String userId);

    int countByItem(String itemId);

    List<TaCheckAnswer> getByUser(String itemId, String userId);

    IPage<CheckLocAnswer> getLocPageBy(IPage<CheckLocAnswer> pg, String checkId, String typeId, String answerId);

    List<CheckLocAnswer> getLocListBy(String checkId, String typeId, String answerId);

    IPage<CheckSurveyAnswer> getSurveyPageBy(IPage<CheckSurveyAnswer> pg, String checkId, String answerId, String communityName, String addr);

    List<CheckSurveyAnswer> getSurveyListBy(String checkId, String answerId, String communityName, String addr);

    IPage<TaCheckAnswer> getPageBy(IPage<TaCheckAnswer> page, String checkId, String itemType, String typeId, String communityName, String addr, String userName);

    List<CheckLoc> getListBy(String checkId, String itemType, String typeId, String communityName, String addr, String userName);

    List<CheckSurvey> getList2By(String checkId, String itemType, String typeId, String communityName, String addr, String userName);
}