package com.example.civilizedcity.service.impl;

import com.example.civilizedcity.common.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.SysOrg;
import com.example.civilizedcity.mapper.SysOrgMapper;
import com.example.civilizedcity.service.SysOrgService;

/**
 * 单位表;(sys_org)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Service
public class SysOrgServiceImpl extends BaseServiceImpl<SysOrgMapper, SysOrg> implements SysOrgService {

    final static String ROOT_ID = "-1";

    @Override
    public long getMaxCodeOfParent(String orgPId) {
        String maxCode = baseMapper.sysOrgService(orgPId);
        if (StringUtils.isEmpty(maxCode)) {
            if (ROOT_ID.equals(orgPId)) {
                return 100;
            } else {
                SysOrg org = getById(orgPId);
                String childCode = org.getOrgCode() + "000";
                return Long.parseLong(childCode);
            }
        }

        return Long.parseLong(maxCode);
    }

    @Override
    public boolean changeOrgCode(String from, String to) {
        return baseMapper.changeOrgCode(from, to) > 0;
    }
}