package com.example.civilizedcity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.example.civilizedcity.common.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.SysPosition;
import com.example.civilizedcity.mapper.SysPositionMapper;
import com.example.civilizedcity.service.SysPositionService;

/**
 * 岗位表;(sys_position)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Service
public class SysPositionServiceImpl extends BaseServiceImpl<SysPositionMapper, SysPosition> implements SysPositionService {

    @Override
    public long countInOrg(String orgId, String name, String nePosId) {
        QueryWrapper<SysPosition> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("org_id", orgId);
        queryWrapper.eq("name", name);
        queryWrapper.ne(!StringUtils.isEmpty(nePosId), "position_id", nePosId);

        return count(queryWrapper);
    }
}