package com.example.civilizedcity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.example.civilizedcity.common.Constants;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.SysResource;
import com.example.civilizedcity.mapper.SysResourceMapper;
import com.example.civilizedcity.service.SysResourceService;

import java.util.List;

/**
 * 资源表;(sys_resource)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Service
public class SysResourceServiceImpl extends BaseServiceImpl<SysResourceMapper, SysResource> implements SysResourceService {

    @Override
    public List<SysResource> getByUser(String userId) {
        if (Constants.ROOT_ID.equals(userId)) {
            QueryWrapper<SysResource> queryWrapper = new QueryWrapper<>();
            queryWrapper.gt("status", Constants.STATUS_DELETE);
            return list(queryWrapper);
        }

        return baseMapper.getByUser(userId);
    }

    @Override
    public List<SysResource> listBy(String typeCode, String roleId) {
        return baseMapper.listBy(typeCode, roleId);
    }
}