package com.example.civilizedcity.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.SysRoleResource;
import com.example.civilizedcity.mapper.SysRoleResourceMapper;
import com.example.civilizedcity.service.SysRoleResourceService;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * 角色资源;(sys_role_resource)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Service
public class SysRoleResourceServiceImpl extends BaseServiceImpl<SysRoleResourceMapper, SysRoleResource> implements SysRoleResourceService {

    @Override
    public boolean mergeData(String roleId, List<SysRoleResource> roleResourcesList) {
        // 如果是空 list, 代表取消授权
        if (roleResourcesList.size() == 0) {
            removeByMap(new HashMap<String, Object>(){{
                put("role_id", roleId);
            }});
            return true;
        }

        //
        List<Integer> idList = new ArrayList<>();
        for (SysRoleResource item: roleResourcesList) {
            item.setRoleId(roleId);

            SysRoleResource origin = baseMapper.getByRoleAndResource(roleId, item.getResourceId());
            if (null != origin) {
                item.setId(origin.getId());
            } else {
                baseMapper.insert(item);
            }

            idList.add(item.getId());
        }

        // 删除多余的数据
        baseMapper.deleteNotIn(roleId, idList);

        return true;
    }
}