package com.example.civilizedcity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.example.civilizedcity.common.Constants;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.SysRole;
import com.example.civilizedcity.mapper.SysRoleMapper;
import com.example.civilizedcity.service.SysRoleService;

import java.util.List;

/**
 * 系统角色;(sys_role)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Service
public class SysRoleServiceImpl extends BaseServiceImpl<SysRoleMapper, SysRole> implements SysRoleService {

    @Override
    public List<SysRole> getByUser(String userId) {
        if (Constants.ROOT_ID.equals(userId)) {
            QueryWrapper<SysRole> queryWrapper = new QueryWrapper<>();
            queryWrapper.gt("status", Constants.STATUS_DELETE);
            return list(queryWrapper);
        }

        return baseMapper.getByUser(userId);
    }
}