package com.example.civilizedcity.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.civilizedcity.vo.CheckLoc;
import com.example.civilizedcity.vo.CheckLocAnswer;
import com.example.civilizedcity.vo.CheckSurvey;
import com.example.civilizedcity.vo.CheckSurveyAnswer;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TaCheckAnswer;
import com.example.civilizedcity.mapper.TaCheckAnswerMapper;
import com.example.civilizedcity.service.TaCheckAnswerService;

import java.util.List;

/**
 * 测评作答;(ta_check_answer)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Service
public class TaCheckAnswerServiceImpl extends BaseServiceImpl<TaCheckAnswerMapper, TaCheckAnswer> implements TaCheckAnswerService {

    @Override
    public int getCountByUser(String itemId, String userId) {
        return baseMapper.getCountByUser(itemId, userId);
    }

    @Override
    public int countByItem(String itemId) {
        return baseMapper.countByItem(itemId);
    }

    @Override
    public List<TaCheckAnswer> getByUser(String itemId, String userId) {
        return baseMapper.getByUser(itemId, userId);
    }

    @Override
    public IPage<CheckLocAnswer> getLocPageBy(IPage<CheckLocAnswer> pg, String checkId, String typeId, String answerId) {
        return baseMapper.getLocPageBy(pg, checkId, typeId, answerId);
    }

    @Override
    public List<CheckLocAnswer> getLocListBy(String checkId, String typeId, String answerId) {
        return baseMapper.getLocListBy(checkId, typeId, answerId);
    }

    @Override
    public IPage<CheckSurveyAnswer> getSurveyPageBy(IPage<CheckSurveyAnswer> pg, String checkId, String answerId, String communityName, String addr) {
        return baseMapper.getSurveyPageBy(pg, checkId, answerId, communityName, addr);
    }

    @Override
    public List<CheckSurveyAnswer> getSurveyListBy(String checkId, String answerId, String communityName, String addr) {
        return baseMapper.getSurveyListBy(checkId, answerId, communityName, addr);
    }

    @Override
    public IPage<TaCheckAnswer> getPageBy(IPage<TaCheckAnswer> page, String checkId, String itemType, String typeId, String communityName, String addr, String userName) {
        return baseMapper.getPageBy(page, checkId, itemType, typeId, communityName, addr, userName);
    }

    @Override
    public List<CheckLoc> getListBy(String checkId, String itemType, String typeId, String communityName, String addr, String userName) {
        return baseMapper.getCheckListBy(checkId, itemType, typeId, communityName, addr, userName);
    }

    @Override
    public List<CheckSurvey> getList2By(String checkId, String itemType, String typeId, String communityName, String addr, String userName) {
        return baseMapper.getCheckList2By(checkId, itemType, typeId, communityName, addr, userName);
    }
}