package com.example.civilizedcity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.example.civilizedcity.common.StringUtils;
import com.example.civilizedcity.entity.SysRole;
import com.example.civilizedcity.entity.SysUserRole;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TaCheckItemAn;
import com.example.civilizedcity.mapper.TaCheckItemAnMapper;
import com.example.civilizedcity.service.TaCheckItemAnService;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/**
 * 项目问题答案;(ta_check_item_an)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-16
 */
@Service
public class TaCheckItemAnServiceImpl extends BaseServiceImpl<TaCheckItemAnMapper, TaCheckItemAn> implements TaCheckItemAnService {

    @Override
    public boolean mergeData(String quId, List<TaCheckItemAn> answerList) {
        if (StringUtils.isEmpty(quId)) return false;

        // 先删除所有
        baseMapper.deleteByMap(new HashMap<String, Object>() {{
            put("qu_id", quId);
        }});

        if (null == answerList || answerList.isEmpty()) {
            return true;
        }

        for (int i = 0; i < answerList.size(); i ++) {
            TaCheckItemAn item = answerList.get(i);
            item.setQuId(quId);
            // 重新排序
            item.setSortNo(i + 1);
            save(item);
        }

        return true;
    }

    @Override
    public List<TaCheckItemAn> getListByQuId(String quId) {
        QueryWrapper<TaCheckItemAn> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("qu_id", quId);
        queryWrapper.orderByAsc("sort_no");

        return list(queryWrapper);
    }
}