package com.example.civilizedcity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TaCheckItemQu;
import com.example.civilizedcity.mapper.TaCheckItemQuMapper;
import com.example.civilizedcity.service.TaCheckItemQuService;

import java.util.List;

/**
 * 点位问题;(ta_check_item_qu)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Service
public class TaCheckItemQuServiceImpl extends BaseServiceImpl<TaCheckItemQuMapper, TaCheckItemQu> implements TaCheckItemQuService {

    @Override
    public int getMaxNoBy(String itemId) {
        QueryWrapper<TaCheckItemQu> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("item_id", itemId);
        queryWrapper.orderByDesc("sort_no");
        queryWrapper.last("limit 1");

        TaCheckItemQu one = getOne(queryWrapper);
        return null == one ? 0 : one.getSortNo();
    }

    @Override
    public List<TaCheckItemQu> getListBy(String itemId) {
        return baseMapper.getListBy(itemId);
    }
}