package com.example.civilizedcity.service.impl;

import com.example.civilizedcity.common.Constants;
import com.example.civilizedcity.common.StringUtils;
import com.example.civilizedcity.entity.*;
import com.example.civilizedcity.mapper.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.service.TaCheckService;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 模拟测评;(ta_mock_check)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Service
public class TaCheckServiceImpl extends BaseServiceImpl<TaCheckMapper, TaCheck> implements TaCheckService {

    @Autowired
    TaCheckItemMapper taCheckItemMapper;

    @Autowired
    TaCheckItemQuMapper taCheckItemQuMapper;

    @Autowired
    TaCheckAnswerMapper taCheckAnswerMapper;

    @Autowired
    TaCheckAnswerItemMapper taCheckAnswerItemMapper;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public TaCheck calcScore(TaCheck taCheck) {

        taCheckItemMapper.calcScore(taCheck.getCheckId());

        baseMapper.updateScore(taCheck.getCheckId());

//        // 调查问卷分数
//        Double surveyScore = taCheckItemMapper.sumScore(taCheck.getCheckId(), Constants.CHECK_OF_SURVEY);
//        if (surveyScore == null) {
//            surveyScore = 0.0;
//        }
//
//        // 计算点位分数
//        Double locScore = taCheckItemMapper.sumScore(taCheck.getCheckId(), Constants.CHECK_OF_LOC);
//        if (locScore == null) {
//            locScore = 0.0;
//        }
//
//        taCheck.setLocScore(locScore);
//        taCheck.setSurveyScore(surveyScore);
//
//        updateById(taCheck);

        return taCheck;
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public TaCheck copy(TaCheck taCheck) {
        TaCheck newCheck = new TaCheck();
        newCheck.setCopyFrom(taCheck.getCheckId());
        newCheck.setTitle(taCheck.getTitle());
        newCheck.setStartDate(taCheck.getStartDate());
        newCheck.setEndDate(taCheck.getEndDate());
        newCheck.setLocScorePercent(taCheck.getLocScorePercent());
        newCheck.setSurveyScorePercent(taCheck.getSurveyScorePercent());
        newCheck.setStatus(Constants.STATUS_NORMAL);
        newCheck.setCreateUser(taCheck.getCreateUser());
        newCheck.setCreateDate(LocalDateTime.now());

        save(newCheck);

        // 拷贝测评项目
        taCheckItemMapper.copyItems(taCheck.getCheckId(), newCheck.getCheckId());

        // 拷贝测评问题
        taCheckItemQuMapper.copyItems(taCheck.getCheckId());

        taCheckAnswerItemMapper.copyItems(taCheck.getCheckId());

        return newCheck;
    }

}