package com.example.civilizedcity.service.impl;

import com.example.civilizedcity.entity.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TaPerson;
import com.example.civilizedcity.mapper.TaPersonMapper;
import com.example.civilizedcity.service.TaPersonService;

/**
 * 人员表;(ta_person)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-12
 */
@Service
public class TaPersonServiceImpl extends BaseServiceImpl<TaPersonMapper, TaPerson> implements TaPersonService {

    @Override
    public TaPerson getByOpenId(String openid) {
        return getExistBy("openid", openid, false, true);
    }

    @Override
    public SysUser getReflectUser(TaPerson taPerson) {
        return baseMapper.getReflectUser(taPerson.getPersonId());
    }

    @Override
    public TaPerson getByUser(SysUser sysUser) {
        return baseMapper.getByUser(sysUser.getUserId());
    }

    @Override
    public TaPerson getByUserAndPerson(SysUser user, String personId) {
        return baseMapper.getByUserAndPerson(user.getUserId(), personId);
    }
}