package com.example.civilizedcity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.example.civilizedcity.common.Constants;
import com.example.civilizedcity.common.StringUtils;
import com.example.civilizedcity.entity.TaCheckItemAn;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TdQuAnswer;
import com.example.civilizedcity.mapper.TdQuAnswerMapper;
import com.example.civilizedcity.service.TdQuAnswerService;

import java.util.HashMap;
import java.util.List;

/**
 * 点位问题答案;(td_loc_qu_answer)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Service
public class TdQuAnswerServiceImpl extends BaseServiceImpl<TdQuAnswerMapper, TdQuAnswer> implements TdQuAnswerService {

    @Override
    public boolean mergeData(String quId, List<TdQuAnswer> quAnswerList) {
        if (StringUtils.isEmpty(quId)) return false;

        // 先删除所有
        baseMapper.deleteByMap(new HashMap<String, Object>() {{
            put("qu_id", quId);
        }});

        if (null == quAnswerList || quAnswerList.isEmpty()) {
            return true;
        }

        for (int i = 0; i < quAnswerList.size(); i++) {
            TdQuAnswer item = quAnswerList.get(i);
            item.setQuId(quId);
            // 重新排序
            item.setSortNo(i + 1);
            save(item);
        }

        return true;
    }

    @Override
    public List<TdQuAnswer> getListByQuId(String quId) {
        QueryWrapper<TdQuAnswer> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("qu_id", quId);
        queryWrapper.gt("status", Constants.STATUS_DELETE);
        queryWrapper.orderByAsc("sort_no");

        return list(queryWrapper);
    }
}