package com.example.civilizedcity.service.impl;

import com.example.civilizedcity.common.Constants;
import com.example.civilizedcity.mapper.SysUserMapper;
import com.example.civilizedcity.mapper.TaIssueMapper;
import com.example.civilizedcity.vo.StatVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.example.civilizedcity.entity.TsStatData;
import com.example.civilizedcity.mapper.TsStatDataMapper;
import com.example.civilizedcity.service.TsStatDataService;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 常用统计;(ts_stat_data)表服务实现类
 *
 * @author : http://www.chiner.pro
 * @date : 2023-1-31
 */
@Service
public class TsStatDataServiceImpl extends BaseServiceImpl<TsStatDataMapper, TsStatData> implements TsStatDataService {

    @Autowired
    TaIssueMapper taIssueMapper;

    @Autowired
    SysUserMapper sysUserMapper;

    @Override
    public List<StatVo> statIssue(String statType, String startDate, String endDate, Integer num) {

        if (statType.contains("daily")) {
            return baseMapper.statIssueDaily(startDate, endDate, num);
        }

        if (statType.contains("monthly")) {
            return baseMapper.statIssueMonthly(startDate, endDate, num);
        }

        return null;
    }

    @Override
    public List<StatVo> statIssueOrg(String orgId) {
        Map<String, Object> map = taIssueMapper.statIssueOrg(orgId);
        List<StatVo> res = new ArrayList<>();
        res.add(new StatVo().setName("已完结").setValue(map.get("endNum")));
        res.add(new StatVo().setName("处理中").setValue(map.get("assignedNum")));
        res.add(new StatVo().setName("已逾期").setValue(map.get("expireNum")));
        return res;
    }

    @Override
    public List<StatVo> statIssueType() {
        return taIssueMapper.statIssueType();
    }

    @Override
    public Map<String, Object> statAdminIndexBanner() {
        // 总用户数
        long userNum = sysUserMapper.countAll(Constants.ROOT_ID);
        // 问题单统计
        Map<String, Object> result = taIssueMapper.statMaIndex(null);
        result.put("user_num", userNum);

        return result;
    }

    @Override
    public List<StatVo> statIssueLoc() {
        return taIssueMapper.statIssueLoc();
    }
}