package com.example.civilizedcity.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.example.civilizedcity.common.excel.LocalDateTimeConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel("实地测评答案")
public class CheckLoc {
    @ColumnWidth(20)
    @ExcelProperty(value = "点位名称", index = 2)
    @ApiModelProperty("点位名称")
    private String typeName;

    @ColumnWidth(30)
    @ExcelProperty(value = "测评名称", index = 0)
    @ApiModelProperty("测评名称")
    private String checkTitle;

    @ColumnWidth(60)
    @ExcelProperty(value = "详细地址", index = 3)
    @ApiModelProperty("详细地址")
    private String addr;

    @ColumnWidth(20)
    @ExcelProperty(value = "答题人", index = 4)
    @ApiModelProperty("作答人")
    private String userName;

    @ColumnWidth(30)
    @ExcelProperty(value = "答题时间", index = 1, converter = LocalDateTimeConverter.class)
    @ApiModelProperty("作答时间")
    private LocalDateTime createDate;

    @ColumnWidth(30)
    @ExcelProperty(value = "得分", index = 5)
    @ApiModelProperty("得分")
    private Float score;
}
