package com.example.civilizedcity.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.example.civilizedcity.common.excel.LocalDateTimeConverter;
import com.example.civilizedcity.common.excel.SexConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel("调查问卷答案")
public class CheckSurvey {

    @ColumnWidth(30)
    @ExcelProperty(value = "社区名称", index = 2)
    @ApiModelProperty("社区名称")
    private String communityName;

    @ColumnWidth(30)
    @ExcelProperty(value = "小区名称", index = 3)
    @ApiModelProperty("小区名称")
    private String addr;

    @ColumnWidth(30)
    @ExcelProperty(value = "测评名称", index = 0)
    @ApiModelProperty("测评名称")
    private String checkTitle;

    @ColumnWidth(20)
    @ExcelProperty(value = "答题人", index = 4)
    @ApiModelProperty("作答人")
    private String userName;

    @ColumnWidth(30)
    @ExcelProperty(value = "答题时间", index = 1, converter = LocalDateTimeConverter.class)
    @ApiModelProperty("答题时间")
    private LocalDateTime createDate;

    @ColumnWidth(30)
    @ExcelProperty(value = "受访者性别", index = 5, converter = SexConverter.class)
    @ApiModelProperty("受访者性别")
    private String sex;

    @ColumnWidth(30)
    @ExcelProperty(value = "受访者年龄段", index = 6)
    @ApiModelProperty("受访者年龄段")
    private String age;

    @ColumnWidth(30)
    @ExcelProperty(value = "得分", index = 7)
    @ApiModelProperty("得分")
    private Float score;
}
