package com.example.civilizedcity.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@ApiModel("调查问卷答案")
public class CheckSurveyAnswer {

    @ExcelIgnore
    @ApiModelProperty("作答详情ID")
    private String answerItemId;

    @ExcelIgnore
    @ApiModelProperty("作答ID")
    private String answerId;

    @ExcelIgnore
    @ApiModelProperty("测评项目ID")
    private String checkItemId;

    @ColumnWidth(30)
    @ExcelProperty(value = "社区名称", index = 1)
    @ApiModelProperty("社区名称")
    private String communityName;

    @ColumnWidth(30)
    @ExcelProperty(value = "小区名称", index = 2)
    @ApiModelProperty("小区名称")
    private String addr;

    @ExcelIgnore
    @ApiModelProperty("测评ID")
    private String checkId;

    @ColumnWidth(30)
    @ExcelProperty(value = "测评名称", index = 0)
    @ApiModelProperty("测评名称")
    private String checkTitle;

    @ColumnWidth(50)
    @ExcelProperty(value = "问题", index = 3)
    @ApiModelProperty("问题")
    private String quTitle;

    @ColumnWidth(20)
    @ExcelProperty(value = "答案", index = 4)
    @ApiModelProperty("答案")
    private String answer;

    @ColumnWidth(20)
    @ExcelProperty(value = "作答人", index = 5)
    @ApiModelProperty("作答人")
    private String userName;

    @ColumnWidth(30)
    @ExcelProperty(value = "作答时间", index = 6)
    @ApiModelProperty("作答时间")
    private LocalDateTime createDate;

    @ColumnWidth(30)
    @ExcelProperty(value = "受访者性别", index = 7)
    @ApiModelProperty("受访者性别")
    private String sex;

    @ColumnWidth(30)
    @ExcelProperty(value = "受访者年龄段", index = 8)
    @ApiModelProperty("受访者年龄段")
    private String age;

    @ExcelIgnore
    @ApiModelProperty("得分")
    private Float score;
}
